module LearningObjectsHelper

  def show_categories(categories = [])
    categories.to_s
  end

  def learning_object_thumbnail(learning_object, size = "")
    if learning_object.thumbnail.blank?
      thumbnail = case learning_object.type
      when "Vídeo" then 'video.png'
      when "Imagem" then 'image.png'
      when "Hipertexto" then 'text.png'
      when "Animação/simulação" then 'animation.png'
      when "Software Educacional" then 'software.png'
      when "Áudio" then 'audio.png'
      when "Experimento prático" then 'simulator.png'
      else
        if size == "large"
          'learning-object-preview-large.png'
        else
          'learning-object-preview.png'
        end
      end
    else
      thumbnail = learning_object.thumbnail
    end
    image_tag thumbnail, alt: learning_object_title(learning_object), class: "thumbnail"
  end

  def learning_object_title(learning_object)
    if learning_object.name.nil?
      return 'Sem Título'
    end

    learning_object.name
  end

  def render_learning_object(orientation, learning_object)
    case (orientation)
      when "vertical"
        render "learning_objects/learning_object_vertical", learning_object: learning_object
      when "horizontal"
        render "learning_objects/learning_object_horizontal", learning_object: learning_object
      else
        render "learning_objects/learning_object_horizontal", learning_object: learning_object
    end
  end

  def collections_list(learning_object)
    collections = @collections.diff(learning_object_collections(learning_object))
  end

end
