class Collection < ActiveRecord::Base
  has_many :collection_items
  has_many :collection_items, as: :collectionable
  has_many :collections, :through => :collection_items, :source => :collectionable, :source_type => 'Collection'
  has_many :learning_objects, :through => :collection_items, :source => :collectionable, :source_type => 'LearningObject'


  belongs_to :user
  has_many :reviews, as: :reviewable

  has_many :views, as: :viewable
  has_many :downloads, as: :downloadable
  has_many :likes, as: :likeable
  has_many :shares, as: :shareable

  has_many :follows, as: :followable
end
