## Metadatable concern for models which have metadata
# This concern will include some methods to handle @metadata attr of application models
module Metadatable
  extend ActiveSupport::Concern

  def get_metadata_value_of key
    get_metadata_values_of(key).first
  end

  def get_metadata_values_of key
    values = []
    if metadata.is_a? String
      JSON.parse(metadata).each do |m|
        m = m.with_indifferent_access
        values << m["value"] if m["key"] == key
      end
    end
    values
  end

end
