class OrientdbService

  def self.create_client
    OrientDb::Client.create config
  end

  private

  def self.config
    if Rails.env.production?
      {host: ENV['PORTALMEC_ORIENTDB_HOST'], database: ENV['PORTALMEC_ORIENTDB_DATABASE'], user: ENV['PORTALMEC_ORIENTDB_USERNAME'], password: ENV['PORTALMEC_ORIENTDB_PASSWD'],
       port: 2480, ssl: true}
    else
      orientdb_configs = YAML.load_file Rails.root.join('config').to_s.concat('/orientdb.yml')
      configs = orientdb_configs.fetch(Rails.env)

      {host: configs['host'], database: configs['database'], user: configs['username'], password: configs['password'], port: configs['port'], ssl: configs['ssl']}
    end
  end
end
