class OrientDb::Migrations::CreateCollection < OrientDb::Migration

  def up
    create_class 'Collection', 'Object' do |c|
        c.property 'privacy', :string
        c.property 'description', :string
        c.link     'learning_objects',  :linkset, 'LearningObject'
    end
    metadata = {:analyzer => "org.apache.lucene.analysis.br.BrazilianAnalyzer"}
    add_index 'Collection', ['name'], "FULLTEXT", nil, "LUCENE", metadata.to_json
    add_index 'Collection', ['description'], "FULLTEXT", nil, "LUCENE", metadata.to_json
  end

  def down
    drop_class 'Collection'
  end
end